# Elnu's NixOS configuration

### TODO

- Make rofi power menu work by removing password requirement from shutdown, reboot, etc., which is normally done with `visudo` (see [this Stack Overflow thread](https://askubuntu.com/a/168885) and [Nix `sudo` option](https://search.nixos.org/options?channel=22.05&from=0&size=50&sort=relevance&type=packages&query=sudo).
- Package safe poweroff bash script required by rofi power menu
- Theme lightdm
- Theme GRUB
- Find out how handling multiple hosts works so both desktop and ThinkPad configurations are buildable from flake
- Load in vim configuration
- Install and setup service for yubioath-desktop
- Install Anthy IME for Japanese input
- Fix issue where wireless connection dies after suspend, even after restarting NetworkManager
- Fix screenshots
  - Fix adding screenshots to clipboard with `xclip`
    - Could be a system/user level issue? Try installing required packages without home manager
  - Get area selection screenshots working in i3 (currently only when manually run)
- Fix/map media keys (already declared within [`i3.nix`](i3.nix) but are non-functional
- Fix kitty bell disable not working
- Add Gruvbox switching support
  - kitty theme is "Gruvbox Dark", [see the full list](https://github.com/kovidgoyal/kitty-themes/blob/master/themes.json).
